package com.ibtp.kontor.tradingcards.dal;

import com.ibtp.kontor.tradingcards.entity.PlayerEntity;

import java.util.Collection;
import java.util.List;

/**
 * Created by TPEETZ on 27.01.2015.
 */
interface PlayerDao {

    public PlayerEntity getById(Long id);

    public Collection<PlayerEntity> findByIds(List<Long> ids);

    public Collection<PlayerEntity> findByName(String name);

    public PlayerEntity addPlayer(String name);

    public PlayerEntity store(PlayerEntity entity);

    public void delete(PlayerEntity entity);
}
